# set_credential_value

Source: <https://everruns.com/docs/api/operations/set_credential_value/>

PUT

/v1/agents/{agent\_id}/credentials/{binding\_id}

Select code samplecURL (shell:curl)

```js
const url = 'https://app.everruns.com/api/v1/agents/example/credentials/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';
const options = {
  method: 'PUT',
  headers: {'Content-Type': 'application/json'},
  body: '{"value":"vsk_disposable_example"}'
};


try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```sh
curl --request PUT \
  --url https://app.everruns.com/api/v1/agents/example/credentials/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
  --header 'Content-Type: application/json' \
  --data '{ "value": "vsk_disposable_example" }'
```

* Production APIapp.everruns.com/api/v1/agents/{agent\_id}/credentials/{binding\_id}

Encrypt and replace the write-only value for an agent credential binding.

## Parameters

### Path Parameters

**agent\_id**

required

string

Agent ID

**binding\_id**

required

string format: uuid

Credential binding ID

## Request Bodyrequired

Media typeapplication/json

Request to replace a credential binding’s encrypted value.

object

**value**

required

Write-only credential value. It is encrypted and never returned.

string

##### Example

```plaintext
vsk_disposable_example
```

## Responses

### 200

Credential value replaced

Media typeapplication/json

Metadata for a write-only credential bound to one agent and MCP tool parameter.

object

**agent\_id**

required

Agent that exclusively owns and may use this credential.

string

**configured**

required

Whether an encrypted value has been provisioned.

boolean

**created\_at**

required

RFC 3339 creation time.

string

**description**

Optional explanation of why the credential is needed.

string | null

**id**

required

Stable credential binding identifier.

string format: uuid

**label**

required

Human-readable credential label.

string

**mcp\_server\_name**

required

Name of the attached MCP server.

string

**mcp\_server\_url**

required

Exact MCP endpoint authorized to receive the credential.

string

**parameter\_name**

required

Top-level tool argument injected by the server.

string

**setup\_url**

required

Relative UI route where the user can securely provision the value.

string

**tool\_name**

required

MCP tool whose outbound call receives the credential.

string

**updated\_at**

required

RFC 3339 last-update time.

string

##### Example

```json
{
  "agent_id": "agent_01933b5a000070008000000000000001",
  "configured": true,
  "created_at": "2026-08-08T16:00:00Z",
  "description": "Delivers scheduled status notifications",
  "id": "01933b5a-0000-7000-8000-000000000001",
  "label": "Visti channel key",
  "mcp_server_name": "visti",
  "mcp_server_url": "https://visti.sh/mcp",
  "parameter_name": "channel_key",
  "setup_url": "/agents/agent_01933b5a000070008000000000000001?tab=credentials",
  "tool_name": "visti_send",
  "updated_at": "2026-08-08T16:05:00Z"
}
```